import { defineComponent, openBlock, createBlock, unref, withCtx, createElementVNode, renderSlot } from "vue";
import "@divriots/dockit-core/css-showcases/dockit-css-showcases.define.js";
import { DefaultLayout } from "@divriots/dockit-vue";
import * as docContext from "~doc-context";
import { _ as _export_sfc } from "../../plugin-vue_export-helper.js";
var style = "";
var theme = "";
var logoSvg = '<!-- https://raw.githubusercontent.com/vuejs/docs/main/src/public/logo.svg -->\n<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 128 128">\n  <style>\n    .st0 { fill: #42B883; }\n    .st1 { fill: #35495E; }\n  </style>\n  <path class="st0" d="M78.8,10L64,35.4L49.2,10H0l64,110l64-110C128,10,78.8,10,78.8,10z" />\n  <path class="st1" d="M78.8,10L64,35.4L49.2,10H25.6L64,76l38.4-66H78.8z" />\n</svg>\n';
var Layout_vue_vue_type_style_index_0_scoped_true_lang = "";
const _hoisted_1 = ["innerHTML"];
const _sfc_main = /* @__PURE__ */ defineComponent({
  setup(__props) {
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(DefaultLayout), { docContext: unref(docContext) }, {
        logo: withCtx(() => [
          createElementVNode("div", {
            class: "logo",
            "aria-label": "dockit-vue",
            innerHTML: unref(logoSvg)
          }, null, 8, _hoisted_1)
        ]),
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "default", {}, void 0, true)
        ]),
        _: 3
      }, 8, ["docContext"]);
    };
  }
});
var Layout = /* @__PURE__ */ _export_sfc(_sfc_main, [["__scopeId", "data-v-0781dacb"]]);
_sfc_main.__docgenInfo = { "exportName": "default", "displayName": "Layout", "description": "", "tags": {}, "slots": [{ "name": "default" }] };
export { Layout as default };
