import { defineComponent, openBlock, createElementBlock, normalizeClass, renderSlot } from "vue";
import { _ as _export_sfc } from "../../plugin-vue_export-helper.js";
var Button_vue_vue_type_style_index_0_scoped_true_lang = "";
const _sfc_main = /* @__PURE__ */ defineComponent({
  props: {
    variant: {
      type: String,
      default: "primary",
      validator: (value) => ["primary", "secondary"].includes(value)
    }
  },
  setup(__props) {
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("button", {
        class: normalizeClass(__props.variant)
      }, [
        renderSlot(_ctx.$slots, "default", {}, void 0, true)
      ], 2);
    };
  }
});
var Button = /* @__PURE__ */ _export_sfc(_sfc_main, [["__scopeId", "data-v-8c907572"]]);
_sfc_main.__docgenInfo = { "exportName": "default", "displayName": "Button", "description": "", "tags": {}, "props": [{ "name": "variant", "description": "The variant of the button - either 'primary' or 'secondary'", "tags": { "example": [{ "description": "'secondary'", "title": "example" }] }, "values": ["primary", "secondary", "control"], "type": { "name": "string" }, "defaultValue": { "func": false, "value": "'primary'" } }], "slots": [{ "name": "default" }] };
export { Button as default };
