import { defineComponent, openBlock, createElementBlock, normalizeStyle } from "vue";
import { _ as _export_sfc } from "../../plugin-vue_export-helper.js";
var Icon_vue_vue_type_style_index_0_lang = "";
const _sfc_main = defineComponent({
  props: {
    icon: {
      type: String,
      required: true
    }
  }
});
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("i", {
    class: "icon",
    style: normalizeStyle(`--icon: url('https://api.iconify.design/${_ctx.icon}.svg')`)
  }, null, 4);
}
var Icon = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);
_sfc_main.__docgenInfo = { "description": "A simple component to display icons from https://iconify.design/", "tags": {}, "exportName": "default", "displayName": "Icon", "props": [{ "name": "icon", "description": "Icon string", "tags": { "example": [{ "description": "logos:vue", "title": "example" }, { "description": "logos:vitejs", "title": "example" }] }, "type": { "name": "string" }, "required": true }] };
export { Icon as default };
